import 'package:test/test.dart';
import 'package:yona/yona.dart';

void main() async {
  test("simple", () async {
    var sk = await Crypto.genSK();
    await Verival.publish(PeerInfo(tail: NetAddr(0, ""), name: "name1"), sk);
    var data = await Verival.lookup(Crypto.derivePK(sk));
    assert(data.name == "name1");
  });
}
